---
updatedAt: 2026-06-02T13:41:41.000Z
agentTools:
  projectIndex: https://docs.payabl.com/llms.txt
---

# Efecty

Efecty is an online payment method that allows shoppers to purchase online goods and services by paying in cash offline. When a customer selects this option, they will receive an instant voucher with the transaction amount and a unique payment reference number.

|                       |               |
| :-------------------- | :------------ |
| Payment type          | Bank transfer |
| Market                | Colombia      |
| Customers currencies  | COP           |
| Processing currencies | COP           |
| Refunds               | No            |
| Payouts               | No            |

## Step 1. Make a transaction request

From your server, make a POST /payment\_preauthorize request.

```text Sandbox
https://sandbox.payabl.com/pay/backoffice/payment_preauthorize
```

Include in the request parameters below:

> 🚧 The below parameters are mandatory for Efecty

* `merchantid`: The merchant identification number.
* `orderid`: The field orderid is optional and exclusively for the merchant's convenience.
* `amount`: The amount field contains the transaction’s total amount. This is the amount that will be transmitted to the authorizing system.
* `currency`: The currency field contains the alphanumeric currency code for the transaction, according to ISO 4217, e.g. COP.
* `payment_method`: The payment method id - 130 (or 126 if instructed by tech support).
* `signature`: The signature field contains a 40-figure hexadecimal value. This signature value is a checksum designed to protect the merchant account from unauthorized access.
* `email`: The customer's email address.
* `custom2`: The name of payment method - **efecty**.
* `nationalid`: Consumer’s national id, has to satisfy the following regular expression: NIT: 10 digits, CC: 6\~10 digits.
* `nationaltype`: User's identification type NIT or CC\
  You can see a full list of parameters in [Pre-Authorization](https://docs.payabl.com/reference/pre-authorization-1).

```
/pay/backoffice/payment_preauthorize&merchantid=gateway_test&amount=1.23&currency=COP&orderid=Payabl-Test&
language=en&gender=&lastname=Mann&street=An+der+Welle+4&zip=60322&city=Frankfurt&country=DEU&customerid=&
salutation=&title=&firstname=Muster&company=&birthday=&house=&postbox=&state=&email=test@inatec.com&
phone=XXXXXXXXXX8501&fax=&mobile=&customerip=&custom1=&custom2=Efecty&custom3=&
url_return=http://dev-sim-ng.inatec.local/~simdad/InatecResponse/redirect_response.php&url_success=
http://dev-sim-ng.inatec.local/~simdad/InatecResponse/success.php&url_failed=http://dev-sim-ng.inatec.local
/~simdad/InatecResponse/failed.php&notification_url=https://api.powercash.de/simulation/billing_response.php&
payment_method=130&content=test+content&nationaltype=NIT&nationalid=1234123121&subject=test+subject&signature=94fb2a2bb9dc3c782170f041c3beb0304e4882e3
```

## Step 2. Handle the redirect

To complete the payment, you need to redirect the customer to the correct URL in the response.

**Response**

```
transactionid=105353955&transid=105353955&status=2000&errormessage=pending&errmsg=pending&amount=1.23&
price=1.23&currency=COP&orderid=Payabl-Test&redirect_url=https://secure.payty.com/t/f12q8j3w&user_id=787896
```

## Step 3. Transaction states

If the customer successfully completed the transaction, you will receive a notification with confirmation.

**Notification example (successful transaction)**:

```
transactionid=105353955&security=a14820c77008e32e08052b298be0717ae6a31b5d20b80c71027bb976278a0933&type=capture&
errormessage=&orderid=Payabl-Test&payment_state=credited&timestamp=1693295106&errorcode=0&payment_method=130
```

If the customer initiated the transaction but didn't finalize it, you will receive a failed notification.

**Notification example with error**:

```
transactionid=105353991&orderid=Payabl-Test&timestamp=1693294793&security=62bff3b65f1e38f1142e7ee9c2549fb9f2d47f36d8db7ee77d54d68cbf8258cc&errormessage=Wrong+national+ID&errorcode=-66182&type=order
```